#include <iostream>
using namespace std;


int main(){
	
	int t, br=0, b, c, p=0, max=0;
	bool k=true;
	cin>>t;
	int niz[t];
	for(int i=0; i<t; i++){
		cin>>niz[i];
		if(niz[i]>max) max=niz[i];
	}
	int x[max];
	for(int e=0; e<t; e++){
		br=0;
		for(int i=0; i<niz[i]; i++){
			k=true;
			c=0;
			p=0;
			for(int j=0; niz[i]>0; j++){
					c=niz[i]%10;
					niz[i]=niz[i]/10;
					p*=c;
					for(int m=0; m<j; m++){
						if(x[m]==p) continue;
						else k=false;
					}
					if(k==false){
						x[j]=p;
						br++;
						k=true;	
					} 
		}
	}
		cout<<br<<endl;
	}
	
	return 0;
}